Bug 1255464 - daily jobs run twice a day thanks to clash between cron.dail and anacron.
daily jobs run twice a day thanks to clash between cron.dail and anacron.
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: crontabs (Show other bugs)
6.7
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: Tomas Mraz
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-20 11:59 EDT by Alan Brown
Modified: 2015-11-09 07:37 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-09 07:37:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sosreport (9.10 MB, application/x-xz)
2015-08-20 11:59 EDT, Alan Brown
no flags Details

  None (edit)
Description Alan Brown 2015-08-20 11:59:44 EDT
Created attachment 1065329 [details]
sosreport

Description of problem:

Freshly installed "minimal" system.

Logwatch is running twice daily at approx 3am and 4am. Several other daily and weekly jobs are also running twice


Version-Release number of selected component (if applicable): 


How reproducible:

100%

Steps to Reproduce:
1. Install minimal system with logwatch and MTA
2. monitor root mail over several days
3.

Actual results:

2 logwatches are mailed to root each day.


Expected results:

1 Logwatch is mailed to root each day.


Additional info:


This has been repeatedly reported ion Bugzilla by various redhat/fedora users over the years and closed with blame placed on user malconfiguration.

This is a freshly installed system, we haven't configured it. There is no reason for this to be occurring other than vendor malconfiguration.
Comment 2 Tomas Mraz 2015-08-24 09:55:33 EDT
Can you please report the issue via the Red Hat Support account?
http://www.redhat.com/en/services/support
Comment 3 Tomas Mraz 2015-08-24 10:01:00 EDT
Also do you have both cronie-anacron and cronie-noanacron packages installed?
If so, just choose one and uninstall the other. I have no idea how you could get both installed but it normally does not happen unless you explicitly install both.
Comment 4 Alan Brown 2015-11-09 07:29:47 EST
We (eventually) traced the problem.

In short: if /etc/crontab is used from an old system (in this case RHEL5) then the (now) redundant entries are used and the duplication is never flagged up during sanity checks.

It would be a good idea to check for and make more noise about locally edited /etc/crontab and suggest that entries be moved to /etc/cron.d/
Comment 5 Tomas Mraz 2015-11-09 07:37:41 EST
Except normally local editing of /etc/crontab is perfectly OK. This is work for some system for proper inplace upgrade between major versions but I do not think we have one for upgrades from RHEL-5.

Note You need to log in before you can comment on or make changes to this bug.